## lemonpos 0.7

=== src/CMakeLists.txt ===
#MCH: Deshabilitar debug (para alivianar el ejecutable).
#     cmake -DCMAKE_BUILD_TYPE=release -DCMAKE_INSTALL_PREFIX=/opt/kde4

set(lemon_SRCS
   lemon.cpp
   main.cpp
   lemonview.cpp
   sha1.cc
   hash.cpp
   gaveta.cpp
   inputdialog.cpp
   loginwindow.cpp
   productdelegate.cpp
   misc.cpp
   ../dataAccess/azahar.cpp
   pricechecker.cpp
   #printers/sp500.cpp
 )

#qt4_add_dbus_adaptor(lemon_SRCS org.kde.lemon.lemon.xml lemon.h lemon)


kde4_add_ui_files( lemon_SRCS
  ui/mainview.ui
  ui/prefs_base.ui
  ui/pref_printers.ui
  ui/store_data.ui
  ui/prefs_db.ui
  ui/pref_style.ui
  ui/pref_security.ui
  ui/checker.ui )

kde4_add_kcfg_files(lemon_SRCS settings.kcfgc )

kde4_add_executable(lemon ${lemon_SRCS})

target_link_libraries(lemon
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${QT_LIBRARIES}
  ${QT_QTSQL_LIBRARY}
)

FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
        MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

        SET(catalogname lemon)

        ADD_CUSTOM_TARGET(translations ALL)

        FILE(GLOB PO_FILES po/*.po)

        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
                ADD_CUSTOM_COMMAND(TARGET translations
                        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_poFile}
                        DEPENDS ${_poFile})
                INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME ${catalogname}.mo)
        ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

install(TARGETS lemon DESTINATION ${BIN_INSTALL_DIR} )

##### client #####
#set(lemon_client_SRCS
#    lemon_client.cpp
# )
#kde4_add_executable(lemon_client ${lemon_client_SRCS})
#target_link_libraries(lemon_client ${KDE4_KDECORE_LIBS})
#install(TARGETS lemon_client DESTINATION ${BIN_INSTALL_DIR} )

########### install files ###############

install( FILES lemon.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES lemonui.rc     DESTINATION  ${DATA_INSTALL_DIR}/lemon )
# With next line... the user needs to read/write the file...
install( FILES lemonrc        DESTINATION  ${CONFIG_INSTALL_DIR} )
#install( FILES lemonrc        DESTINATION  ${HOME}/.kde/share/config/ )
install( FILES lemon.kcfg     DESTINATION  ${KCFG_INSTALL_DIR} )

=== squeeze/style/CMakeLists.txt ===
add_subdirectory(simple)

=== styles/elegant/CMakeLists.txt ===
install( FILES
        backg.png
        button.png
        button_hover.png
        checkbox_off.png
        checkbox_on.png
        checks_bg.png
        editbox.png
        groupbox.png
        headers.png
        headerview.png
        headerview_hover.png
        hgroupbox.png
        loginBackground.png
        loginBackground_1280x800.png
        passwordBackground.png
        passwordBackground_wide.png
        radiobutton_off.png
        radiobutton_on.png
        tira.png
        dialog.png
        elegant.qss
        DESTINATION  ${DATA_INSTALL_DIR}/lemon/styles/elegant/ )

=== styles/simple/CMakeLists.txt ===
install( FILES
         backg.png
         loginBackground.png
         loginBackground_1280x800.png
         passwordBackground_wide.png
         passwordBackground.png
         pricechecker.png
         priceCheckerBack.png
         dialog.png
         simple.qss
        DESTINATION  ${DATA_INSTALL_DIR}/lemon/styles/simple/ )

## lemonpos 0.8

=== icons/CMakeLists.txt ===

kde4_install_icons( ${ICON_INSTALL_DIR})

#

=== squeeze/CMakeLists.txt ===
project(squeeze)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory( images )
add_subdirectory( style )
#add_subdirectory( doc )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,7 @@
   ${KDE4_KIO_LIBS}
   ${QT_LIBRARIES}
   ${QT_QTSQL_LIBRARY}
+  ${KDE4_KDEPRINT_LIBS}
 )
 
 FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

=== styles/CMakeLists.txt ===
add_subdirectory(simple)
add_subdirectory(elegant)
#add_subdirectory(serious) #Serious style is incomplete

=== squeeze/icons/CMakeLists.txt ===

kde4_install_icons( ${ICON_INSTALL_DIR})

=== squeeze/src/CMakeLists.txt ===

set(squeeze_SRCS
   squeeze.cpp
   main.cpp
   squeezeview.cpp
   usersdelegate.cpp
   usereditor.cpp
   clienteditor.cpp
   promoeditor.cpp
   producteditor.cpp
   purchaseeditor.cpp
   offersdelegate.cpp
   piechart.cpp
   ../../src/loginwindow.cpp
   ../../src/misc.cpp
   ../../src/hash.cpp
   ../../src/sha1.cc
   ../../src/productdelegate.cpp
   ../../dataAccess/azahar.cpp
 )

kde4_add_ui_files( squeeze_SRCS
  ui/squeezeview_base.ui
  ui/prefs_base.ui
  ui/prefs_db.ui
  ui/edituser_widget.ui
  ui/editclient_widget.ui
  ui/editpromo_widget.ui
  ui/producteditor.ui
  ui/purchaseeditor.ui
  )


kde4_add_kcfg_files(squeeze_SRCS settings.kcfgc )

kde4_add_executable(squeeze ${squeeze_SRCS})

FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
        MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

        SET(catalogname squeeze)

        ADD_CUSTOM_TARGET(translations ALL)

        FILE(GLOB PO_FILES po/*.po)

        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
                ADD_CUSTOM_COMMAND(TARGET translations
                        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_poFile}
                        DEPENDS ${_poFile})
                INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME ${catalogname}.mo)
        ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

target_link_libraries(squeeze
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${QT_LIBRARIES}
  ${QT_QTSQL_LIBRARY}
  ${KDE4_KDEPRINT_LIBS}
)

install(TARGETS squeeze DESTINATION ${BIN_INSTALL_DIR} )

########### install files ###############

install( FILES squeeze.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES squeezeui.rc  DESTINATION  ${DATA_INSTALL_DIR}/squeeze )
install( FILES squeeze.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

=== squeeze/style/simple/CMakeLists.txt ===
install( FILES
         backg.png
         passwordBackground_wide.png
         simple.qss
        DESTINATION  ${DATA_INSTALL_DIR}/squeeze/styles/simple/ )

## lemonpos 0.9.1

=== icons/CMakeLists.txt ===

kde4_install_icons( ${ICON_INSTALL_DIR})

#

=== styles/CMakeLists.txt ===
install( FILES
  tip.svg
  rotated_tip.svg
  floating_bottom.svg
  floating_top.svg
  dialog.svg
DESTINATION  ${DATA_INSTALL_DIR}/lemon/styles/ )

add_subdirectory(simple)
add_subdirectory(elegant)
#add_subdirectory(serious) #Serious style is incomplete

=== squeeze/images/CMakeLists.txt ===
install( FILES
         itemBox.png
         logo.png
        DESTINATION  ${DATA_INSTALL_DIR}/squeeze/images/ )

=== debian/changelog ===
lemonpos (0.9.1-0ubuntu1.1) lucid-proposed; urgency=low

  * Don't install {squeeze,lemon}ui.rc twice (LP: #554556).
  * Add proper Replaces field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 09 May 2010 04:15:46 +0200

lemonpos (0.9.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump Standards-Version
    - Bump build-depends
    - Source format 3.0
    - Built with dh --with quilt,kde
    - Bump compat to 7
    - Drop cdbs
    - Bump mysql-client to 5.1
    - Update install files

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 14 Feb 2010 00:03:37 +0100

lemonpos (0.9-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Bump Standards.
  * Add ${misc:Depends} to the Depends field.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 31 Jan 2010 20:17:51 +0100

lemonpos (0.8-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #379193)
  * Drop cmake from build-deps
  * Bump kdelibs5-dev to 4.2.2
  * Transition from kde4.mk to pkg-kde-tools
   - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
   - debian/control: Build-Depend on 'pkg-kde-tools'
  * Fix lemon.install and lemonpos-data.install

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Thu, 21 May 2009 19:58:31 +0200

lemonpos (0.7.2-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * Bump-up Standards-Version.
  * debian/copyright:
    - Replace (C) with © symbol.
  * debian/patches/kubuntu_01_desktop_files.diff:
    - Add a short description to make lintian happy.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 20 May 2009 16:43:25 +0200

lemonpos (0.7-0ubuntu3) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2009 16:49:03 +0100

lemonpos (0.7-0ubuntu2) jaunty; urgency=low

  * Add kubuntu_01_desktop_files.diff
    - removed Encoding=UTF-8 is deprecated
    - changed Terminal=0 to Terminal=false now Terminal is boolean value
    - add Categories=Qt;KDE;Office; to make .desktop file appear in the correct
      section in the menu (LP: #342019)
  * Add quilt to Build-depends

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Thu, 12 Mar 2009 06:09:05 +0100

lemonpos (0.7-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #340883)
  * Add 'debaian uupdate' to debian/watch
  * Simplify lemonpos.install and lemonpos-data.install files

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 10 Mar 2009 18:41:48 -0400

lemonpos (0.6.1-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #325153)
  * Renamed source package from lemonpos-kde4 to lemonpos, since -kde4 extension
    is no longer needed

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Wed, 04 Feb 2009 05:37:05 +0100

lemonpos-kde4 (0.6-0ubuntu1) jaunty; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release (LP: #323485)
  * debian/control: Drop libphonon-dev from build-dep and bumped kdelibs5-dev to 4.2.0
  * debian/control: Drop quilt from build-dep, there isn't series file
  * debian/rules: remove THIS_SHOULD_GO_TO_UNSTABLE = 1, remove include debian/cdbs/kde.mk
    and replace with include /usr/share/cdbs/1/class/kde4.mk
  * debian/cdbs: remove obsolete kde.mk file

  [ Steve Stalcup ]
  * Remove debian/cdbs completely, as we use kde4.mk in Ubuntu's cdbs package now
  * Add lemonpos-data package to debian/control
  * Add lemonpos-data.install file
  * Update lemonpos.install file

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 31 Jan 2009 08:59:05 -0500

lemonpos-kde4 (0.5-0ubuntu4) jaunty; urgency=low

  * lemonpos has some files already available in squeeze package, add
    a Conflicts field for it until a proper fix is found (LP: #305549).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 28 Dec 2008 14:08:32 +0100

lemonpos-kde4 (0.5-0ubuntu3) intrepid; urgency=low

  * Create lemonpos.install file
  * Update FSF address in debian/copyright
  * Added lemon.1 and squeeze.1 manpages

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 28 Jul 2008 20:12:26 -0400

lemonpos-kde4 (0.5-0ubuntu2) intrepid; urgency=low

  * Fix paths for intrepid

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 28 Jul 2008 06:34:10 -0400

lemonpos-kde4 (0.5-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #235098)

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 26 May 2008 18:15:15 -0400

lemonpos-kde4 (0.4.1-0ubuntu1) hardy; urgency=low

  * Initial release (LP: #189254)

 -- Steve Stalcup <vorian@kubuntu.org>  Fri, 01 Feb 2008 10:44:22 -0500

=== debian/control ===
Source: lemonpos
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steve Stalcup <vorian@kubuntu.org>
Build-Depends: debhelper (>= 7.4.13), kdelibs5-dev (>= 4.4.0),
 libxss-dev, quilt, pkg-kde-tools
Standards-Version: 3.8.4
Homepage: http://lemonpos.sourceforge.net/

Package: lemonpos
Architecture: any
Depends: ${shlibs:Depends},
 lemonpos-data,
 ${misc:Depends}
Recommends: mysql-client-5.1
Conflicts: squeeze
Description: Open Source point of sale for Linux
 This package is a configurable general point of sale, not focused to a specific 
 sector. It can be used at a general store, a fast-food restaurant or a book 
 store.

Package: lemonpos-data
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends}
Replaces: lemonpos (<= 0.9.1-0ubuntu1)
Recommends: lemonpos
Description: Data package for lemonpos
 This package contains all data files for lemonpos.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with quilt,kde $@

## lemonpos 0.9.2

=== CMakeLists.txt ===
project(lemon)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} ${QT_QTSQL_INCLUDE_DIR})

add_subdirectory( src )

add_subdirectory( icons )
add_subdirectory( styles )
add_subdirectory( images )
add_subdirectory( squeeze )
add_subdirectory( database_resources )

# MCH: add_subdirectory( doc )

=== database_resources/CMakeLists.txt ===
install( FILES
         lemon_mysql.sql
        DESTINATION  ${DATA_INSTALL_DIR}/lemon/ )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,19 @@
    loginwindow.cpp
    productdelegate.cpp
    misc.cpp
+   specialordereditor.cpp
    ../dataAccess/azahar.cpp
    pricechecker.cpp
+   ticketpopup.cpp
+   ../printing/print-dev.cpp
+   ../printing/print-cups.cpp
+   ../mibitWidgets/mibitfloatpanel.cpp
+   ../mibitWidgets/mibitlineedit.cpp
+   ../mibitWidgets/mibittip.cpp
+   ../mibitWidgets/mibitpassworddlg.cpp
+   soselector.cpp
+   sostatus.cpp
+   resume.cpp
    #printers/sp500.cpp
  )
 
@@ -28,6 +39,10 @@
   ui/prefs_db.ui
   ui/pref_style.ui
   ui/pref_security.ui
+  ui/special_order.ui
+  ui/soselector.ui
+  ui/sostatus.ui
+  ui/resume.ui
   ui/checker.ui )
 
 kde4_add_kcfg_files(lemon_SRCS settings.kcfgc )
@@ -39,7 +54,6 @@
   ${KDE4_KIO_LIBS}
   ${QT_LIBRARIES}
   ${QT_QTSQL_LIBRARY}
-  ${KDE4_KDEPRINT_LIBS}
 )
 
 FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
@@ -86,4 +100,6 @@
 install( FILES lemonrc        DESTINATION  ${CONFIG_INSTALL_DIR} )
 #install( FILES lemonrc        DESTINATION  ${HOME}/.kde/share/config/ )
 install( FILES lemon.kcfg     DESTINATION  ${KCFG_INSTALL_DIR} )
+#For KNotifications
+install( FILES lemon.notifyrc DESTINATION ${DATA_INSTALL_DIR}/lemon)

=== squeeze/doc/CMakeLists.txt ===

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)

=== squeeze/src/CMakeLists.txt ===
--- 
+++ 
@@ -10,19 +10,25 @@
    producteditor.cpp
    purchaseeditor.cpp
    offersdelegate.cpp
-   piechart.cpp
+   ../../src/inputdialog.cpp
    ../../src/loginwindow.cpp
    ../../src/misc.cpp
    ../../src/hash.cpp
    ../../src/sha1.cc
    ../../src/productdelegate.cpp
    ../../dataAccess/azahar.cpp
+   ../../mibitWidgets/mibitfloatpanel.cpp
+   ../../mibitWidgets/mibitlineedit.cpp
+   ../../mibitWidgets/mibittip.cpp
+   ../../printing/print-dev.cpp
+   ../../printing/print-cups.cpp
  )
 
 kde4_add_ui_files( squeeze_SRCS
   ui/squeezeview_base.ui
   ui/prefs_base.ui
   ui/prefs_db.ui
+  ui/pref_printers.ui
   ui/edituser_widget.ui
   ui/editclient_widget.ui
   ui/editpromo_widget.ui
@@ -66,7 +72,7 @@
   ${KDE4_KIO_LIBS}
   ${QT_LIBRARIES}
   ${QT_QTSQL_LIBRARY}
-  ${KDE4_KDEPRINT_LIBS}
+  #${KDE4_KDEPRINT_LIBS}
 )
 
 install(TARGETS squeeze DESTINATION ${BIN_INSTALL_DIR} )
@@ -76,4 +82,6 @@
 install( FILES squeeze.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
 install( FILES squeezeui.rc  DESTINATION  ${DATA_INSTALL_DIR}/squeeze )
 install( FILES squeeze.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
+#For KNotifications
+install( FILES squeeze.notifyrc DESTINATION ${DATA_INSTALL_DIR}/squeeze)

=== squeeze/style/CMakeLists.txt ===
install( FILES
  tip.svg
  floating_bottom.svg
  floating_top.svg
DESTINATION  ${DATA_INSTALL_DIR}/squeeze/styles/ )

add_subdirectory(simple)

=== styles/elegant/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,8 @@
         hgroupbox.png
         loginBackground.png
         loginBackground_1280x800.png
+	loginBackground_1280x1024.png
+        loginBackground_1024x768.png
         passwordBackground.png
         passwordBackground_wide.png
         radiobutton_off.png

=== styles/simple/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
          backg.png
          loginBackground.png
          loginBackground_1280x800.png
+	 loginBackground_1280x1024.png
+	 loginBackground_1024x768.png
          passwordBackground_wide.png
          passwordBackground.png
          pricechecker.png

=== squeeze/style/simple/CMakeLists.txt ===
install( FILES
         backg.png
         passwordBackground_wide.png
	 dialog.png
         simple.qss
        DESTINATION  ${DATA_INSTALL_DIR}/squeeze/styles/simple/ )

=== debian/changelog ===
lemonpos (0.9.2-0ubuntu5) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:31:44 +0000

lemonpos (0.9.2-0ubuntu4) precise; urgency=low

  * Recommend mysql-client instead of mysql-client-5.1 (LP: #894377)
  * Conflict with lemon due to both using /usr/bin/lemon. (LP: #596065)

 -- Clint Byrum <clint@ubuntu.com>  Thu, 05 Apr 2012 11:04:16 -0700

lemonpos (0.9.2-0ubuntu3) maverick; urgency=low

  * Add a build-depend on cmake since kdelibs5-dev doesn't anymore
  * Remove replaces on versions below what is in 10.04

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 00:09:00 -0400

lemonpos (0.9.2-0ubuntu2) maverick; urgency=low

  * Move all files under /usr/share/kde4 into lemonpos-data, fix FTBFS.
  * debian/control:
    - lemonpos must have an exact dependency on lemonpos-data.
    - lemonpos-data replaces lemonpos << 0.9.2-0ubuntu2.
  * debian/rules: Don't override dh_install, no longer needed.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 09 May 2010 03:44:04 +0200

lemonpos (0.9.2-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * debian/{control,rules}:
    - Don't rely on quilt, source package already uses 3.0 (quilt) format.
  * debian/rules:
    - Don't install {squeeze,lemon}ui.rc twice (LP: #554556).
  * debian/*.install:
    - Move translations into the arch-indep lemonpos-data.
  * debian/control:
    - Remove ${shlibs:Depends} macro from lemonpos-data Depends field.
  * Update debian/copyright file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 08 May 2010 20:48:03 +0200

=== debian/control ===
Source: lemonpos
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steve Stalcup <vorian@kubuntu.org>
Build-Depends: debhelper (>= 7.4.13), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev (>= 4.4.0), libxss-dev,
Standards-Version: 3.8.4
Homepage: http://lemonpos.sourceforge.net/

Package: lemonpos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lemonpos-data (= ${source:Version})
Recommends: mysql-client
Conflicts: squeeze, lemon
Description: Open Source point of sale for Linux
 This package is a configurable general point of sale, not focused to a specific 
 sector. It can be used at a general store, a fast-food restaurant or a book 
 store.

Package: lemonpos-data
Architecture: all
Depends: ${misc:Depends}
Recommends: lemonpos
Conflicts: squeeze
Description: Data package for lemonpos
 This package contains all data files for lemonpos.

=== debian/watch ===
version=3

http://sf.net/lemonpos/lemonpos-([0-9].*)\.tar\.bz2  debian uupdate
